//
//  TravelCheckRepository.swift
//  CarManager
//
//  Created by Holger Hinzberg on 08.06.15.
//  Copyright (c) 2015 Holger Hinzberg. All rights reserved.
//

import Foundation

class TravelCheckRepository
{
    // Eine Liste mit CheckItems
    private var checkItemsArray:[TravelCheckItem]
    
    init()
    {
        self.checkItemsArray = [TravelCheckItem]()
        
        var item = TravelCheckItem()
        item.itemDescription = "Reifendruck"
        item.identifier = 109
        self.checkItemsArray.append(item)
        
        item = TravelCheckItem()
        item.itemDescription = "Ölstand"
        item.identifier = 23
        self.checkItemsArray.append(item)
        
        item = TravelCheckItem()
        item.itemDescription = "Warndreieck"
        item.identifier = 92
        self.checkItemsArray.append(item)
        
        item = TravelCheckItem()
        item.itemDescription = "Verbandskasten"
        item.identifier = 5
        self.checkItemsArray.append(item)
    }
    
    // Diese Methode wird immer genau ein
    // Item zurück geben
    func getItemAtIndex(index:Int) -> TravelCheckItem
    {
        return self.checkItemsArray[index]
    }
    
    // Die Anzahl der Objekte im Array
    // als Eigenschaft der Klasse
    var itemsCount:Int
    {
        get { return self.checkItemsArray.count }
    }
    
    func getItemForIdentifier(identifier:Int) -> TravelCheckItem?
    {
        var foundItem:TravelCheckItem? = nil
        
        // Die identifier-Eigenschaft jedes Items
        // mit der als Parameter übergebenen
        // identifier vergleichen
        for item in self.checkItemsArray
        {
            if item.identifier == identifier
            {
                foundItem = item
                break
            }
        }
        return foundItem
    }
    
    
    
    
    
}
